=== debian/control ===
Source: sysvinit
Section: base
Priority: required
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 2.1.1.0

Package: sysvinit
Essential: yes
Architecture: any
Pre-depends: ${shlibs:Depends}
Conflicts: last
Replaces: last, bsdutils (<=2.0-2)
Description: System-V like init.
 Init is the first program to run after your system is booted, and
 continues to run as process number 1 until your system halts. Init's
 job is to start other programs that are essential to the operation of
 your system. All processes are descended from init. For more information,
 see the manual page init(8).
