## sysvinit 2.73-1

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #		           install  installs the binaries (not the scripts)
 #                          clean    cleans up
 #
-# Version:	@(#)Makefile  2.71  05-May-1997  MvS
+# Version:	@(#)Makefile  2.72  06-Jul-1997  MvS
 #
 
 CC	= cc
@@ -22,17 +22,21 @@
 BIN_COMBO	= $(BIN_OWNER).$(BIN_GROUP)
 INSTALL		= install -o $(BIN_OWNER) -g $(BIN_GROUP)
 
+# Additional libs for Gnu Libc
 ifneq ($(wildcard /usr/lib/libcrypt.a),)
-LIBS		= -lcrypt
+LCRYPT		= -lcrypt
 endif
+#ifneq ($(wildcard /usr/lib/libutil.a),)
+#LUTIL		= -lutil
+#endif
 
 all:		$(PROGS)
 
 init:		init.o init_utmp.o
-		$(CC) $(LDFLAGS) $(STATIC) -o $@ init.o init_utmp.o
+		$(CC) $(LDFLAGS) $(STATIC) -o $@ init.o init_utmp.o $(LUTIL)
 
 halt:		halt.o ifdown.o utmp.o reboot.h
-		$(CC) $(LDFLAGS) -o $@ halt.o ifdown.o utmp.o
+		$(CC) $(LDFLAGS) -o $@ halt.o ifdown.o utmp.o $(LUTIL)
 
 last:		last.o
 		$(CC) $(LDFLAGS) -o $@ last.o
@@ -47,13 +51,13 @@
 		$(CC) $(LDFLAGS) -o $@ runlevel.o
 
 sulogin:	sulogin.o
-		$(CC) $(LDFLAGS) $(STATIC) -o $@ sulogin.o $(LIBS)
+		$(CC) $(LDFLAGS) $(STATIC) -o $@ sulogin.o $(LCRYPT)
 
 wall:		dowall.o wall.o
 		$(CC) $(LDFLAGS) -o $@ dowall.o wall.o
 
 shutdown:	dowall.o shutdown.o utmp.o reboot.h
-		$(CC) $(LDFLAGS) -o $@ dowall.o shutdown.o utmp.o
+		$(CC) $(LDFLAGS) -o $@ dowall.o shutdown.o utmp.o $(LUTIL)
 
 init.o:		init.c init.h set.h reboot.h
 		$(CC) -c $(CFLAGS) init.c
@@ -82,6 +86,7 @@
 		$(INSTALL) -m 755 mesg last $(ROOT)/usr/bin
 		cd $(ROOT)/usr/bin; ln -sf last lastb; chown $(BIN_COMBO) lastb
 		cd $(ROOT)/sbin; ln -sf halt reboot; chown $(BIN_COMBO) reboot
+		cd $(ROOT)/sbin; ln -sf halt poweroff; chown $(BIN_COMBO) poweroff
 		cd $(ROOT)/sbin; ln -sf killall5 pidof; chown $(BIN_COMBO) pidof
 		cd $(ROOT)/sbin; ln -sf init telinit; chown $(BIN_COMBO) telinit
 		$(INSTALL) -m 644 ../man/*.8 $(ROOT)/usr/man/man8
