=== debian/changelog ===
sysvinit (2.73-1) unstable; urgency=low

  * Use siginterrupt, now that system calls are restarted by default.
    Main symptom was that the sulogin timeout didn't work but there
    might have been more hidden problems.
  * Kill process immidiately if turned off in inittab
  * Fixed sulogin check on tty arg.
  * Use strerror() instead of sys_errlist
  * Chop up the reboot and halt scripts into seperate scripts. I had to
    take some liberties so they are called with the argument "stop" even
    though the scripts are Sxx scripts .. (start scripts in runlevel 0&6
    seem non-intuitive anyway)
  * wall now supports a '-n' option to suppress [most of] the banner.
    Debian doesn't use sysvinit's wall, but apparently Redhat does.
  * Add '-F' (forcefsck) option to shutdown
  * Depends on kbd_0.95-2 (or higher) package for /etc/rcS.d stuff.
  * Close and reopen /dev/initctl on SIGUSR1 (mainly for a /dev in ram)
  * Add FSCKFIX option to /etc/default/rcS
  * Wrote rcS.5 manpage describing /etc/default/rcS
  * Fixes bugs:
    #13435: Could shutdown provide a way to force fsck?
    #14108: sysvinit: sulogin's timeout does not work anymore
    #14179: sysvinit: /etc/init.d/(halt|reboot) need to call mdstop
    #14357: sysvinit: typo errors into script shells
    #15010: shutdown is too fast
    #15405: sysvinit: changelog uncompressed
    #15751: "sulogin -t <timeout>" does not time out
    #15758: Outdated reference in README

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat,  3 Jan 1998 16:32:39 +0100

sysvinit (2.72-3) unstable; urgency=low

  * Remove perl check from preinst
  * Add extra fork() in dowall.c to avoid hanging in rare cases
  * Conflict with file-rc (<= 0.4.1)
  * The 2.72 series fix the following bugs:
     #9819: sysvinit: Typo in `pidof` manual
     #9820: sysvinit: Incorrect filenames in `shutdown` manual
     #9821: sysvinit: `init` manual gives incorrect information
     #9822: sysvinit: `inittab` manual
     #10045: sysvinit: error message "no more processes..."
     #10276: sysvinit has uncompressed manpages.
     #11728: libc6
     #11879: sysvinit: file in /tmp security hole
     #12172: Sysvinit: Contains powerd manpage but not powerd
     #12465: Trivial typos in killall5 man page
     #12631: sysvinit: unchecked prompting in postinst
     #13290: clock is now hwclock
     #13300: patch to init.d/boot for compressed keymaps
     #13344: sysvinit: command 'clock' not found
     #13789: sysvinit: /etc/init.d/boot calls "clock", should call "hwclock"
     #13830: sysvinit: Upgrading to new sysvinit left system unusable
     #13838: sysvinit: gratuitous use of perl

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 22 Oct 1997 14:44:00 +0200

sysvinit (2.72-2) unstable; urgency=high

  * Don't use perl in postinst. Use more flexible regexp to match the
    sysinit line.
  * Remove /etc/default/boot from package
  * Fix settime.sh for hwclock

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 14 Oct 1997 12:40:23 +0200

sysvinit (2.72) unstable; urgency=low

  * Applied manual page patches by Bill Hawes <whawes@star.net>.  Thanks Bill!
  * Applied patches to the sample Slackware scripts by
    "Jonathan I. Kamens" <jik@kamens.brookline.ma.us>
  * Fix halt and reboot runlevels 0 & 6 check.
  * Only say "no more processes left in runlevel x" once
  * Fix race condition with SIGCHLD in spawn()
    (thanks to Alon Ziv <alonz@CS.Technion.AC.IL>)
  * Compress all manpages (missed 2)
  * Compiled for libc6
  * Split up /etc/init.d/boot into seperate files in /etc/rcS.d
  * Remove powerd.8 from debian package
  * Fix /etc/init.d/settime.sh to look for hwclock first
  * Added poweroff patch by Roderich Schupp <rsch@ExperTeam.de>

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 12 Oct 1997 17:20:17 +0200

sysvinit (2.71-2) frozen unstable; urgency=low

  * Print 2.71 instead of 2.70 on startup :)
  * Fix /etc/init.d/skeleton for new console messages standard.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 5 May 1997 12:45:25 +0200

sysvinit (2.71-1) frozen unstable; urgency=high

  * Added code for updwtmp() in utmp.c for glibc (2.0.3)
  * Fixed all programs to use functions from utmp.c and getutent()
  * Do not try to clean up utmp in init itself (Bug#9022)
  * Removed sync() from main loop.
  * Fix bug #8739 (/fastboot)
  * Hopefully fixes bug #8657 (shutdown signal handling)
  * Mount /proc before modules are loaded
  * Check on both /etc/init.d/modules and modutils (Bug#9058, #8398)
  * Fix PATH order (Bug#8087)
  * Fix console messages (Bug#8899)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 26 Apr 1997 19:57:27 +0200

sysvinit (2.70-1) unstable; urgency=low

  * small fix for postinst (Bug#5866)
  * Respawn fix
  * Removed StUdLy CaPs from source code
  * Moved files in source archive around
  * Moved mdadd in "boot" script to get called after module loading
  * Fixes for glibc (utmp handling, signal handling).
  * Fixed '-d' option to last (now also works without '-a').
  * Added extra checking in last.c to prevent showing dead entries

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 7 Feb 1997 15:31:30 +0100

sysvinit (2.69-1) frozen unstable; urgency=medium

  * Fixed bug that can throw X in a loop (or any other app that reads from
    /dev/tty0)
  * Moved inittab to /usr/doc/sysvinit/examples so that it is no longer
    a config file.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 1 Dec 1996 15:32:24 +0100

sysvinit (2.68-1) frozen unstable; urgency=high

  * Added dummy fsck.nfs [temporary] (Bug#5492)
  * Changing /etc/motd optional (Bug#5493)
  * Typo in /etc/init.d/urandom fixed (Bug#5556)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 27 Nov 1996 17:30:36 +0100

sysvinit (2.67-1) frozen unstable; urgency=high

  * Fixes problem with /dev/console being controlling terminal of some
    daemons
  * Some fixes in debian bootup script "boot"
  * Puts copyright file in the right place

