=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Essential: yes
 Architecture: any
 Pre-depends: ${shlibs:Depends}
-Conflicts: last
+Conflicts: last, file-rc (<= 0.4.1)
+Depends: kbd(>= 0.95-2)
 Replaces: last, bsdutils (<=2.0-2)
 Description: System-V like init.
  Init is the first program to run after your system is booted, and
