=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	install -d -g root -m 755 -o root $(tmp)/usr/doc
 	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)
 	install -g root -m 644 debian/changelog $(tmp)/usr/doc/$(package)
+	gzip -9f $(tmp)/usr/doc/$(package)/changelog
 	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)/examples
 	cp -af debian/examples/* $(tmp)/usr/doc/$(package)/examples
 	cp -af debian/etc/* $(tmp)/etc
@@ -40,9 +41,9 @@
 	install -d -g root -m 755 -o root $(tmp)/usr/man/man{1,5,8}
 	install -g root -m 755 debian/fsck.nfs $(tmp)/sbin/fsck.nfs
 	(cd src; make ROOT=$(tmp) install )
+	install -g root -m 644 debian/rc.boot.5 $(tmp)/usr/man/man5
+	install -g root -m 644 debian/rcS.5 $(tmp)/usr/man/man5
 	gzip -9f $(tmp)/usr/man/man*/*
-	install -g root -m 644 debian/rc.boot.5 $(tmp)/usr/man/man5
-	install -g root -m 644 debian/rc.local.5 $(tmp)/usr/man/man5
 	install -g root -m 644 -o root debian/README \
 	  $(tmp)/usr/doc/$(package)/copyright
 	cp debian/preinst $(tmp)/DEBIAN/preinst
@@ -56,7 +57,7 @@
 
 clean:	checkroot
 	(cd src; make clobber )
-	rm -f build
+	rm -f build debian/files debian/substvars
 	rm -rf $(tmp)
 	find . -name '*.bak' -o -name '*~' | xargs -r rm -f --
