## sysvinit 2.75-3

=== src/Makefile ===
--- 
+++ 
@@ -10,6 +10,8 @@
 CC	= cc
 CFLAGS	= -Wall -O2 -D_GNU_SOURCE
 LDFLAGS	= -s
+#CFLAGS	= -Wall -g -pg -D_GNU_SOURCE
+#LDFLAGS	= -pg
 STATIC	=
 
 # Use the first 2 lines to build all of the programs (some are non-debian).
@@ -38,7 +40,7 @@
 halt:		halt.o ifdown.o utmp.o reboot.h
 		$(CC) $(LDFLAGS) -o $@ halt.o ifdown.o utmp.o $(LUTIL)
 
-last:		last.o
+last:		last.o oldutmp.h
 		$(CC) $(LDFLAGS) -o $@ last.o
 
 mesg:		mesg.o
@@ -89,6 +91,7 @@
 		cd $(ROOT)/sbin; ln -sf halt poweroff; chown $(BIN_COMBO) poweroff
 		cd $(ROOT)/sbin; ln -sf killall5 pidof; chown $(BIN_COMBO) pidof
 		cd $(ROOT)/sbin; ln -sf init telinit; chown $(BIN_COMBO) telinit
+		$(INSTALL) -m 644 initreq.h $(ROOT)/usr/include
 		$(INSTALL) -m 644 ../man/*.8 $(ROOT)/usr/man/man8
 		$(INSTALL) -m 644 ../man/*.5 $(ROOT)/usr/man/man5
 		# Some manpages not installed by default.
