=== debian/changelog ===
sysvinit (2.75-3) frozen unstable; urgency=high

  * Source /etc/default/rcS in all scripts, otherwise file-rc is broken.
  * Do not call update-rc.d for isapnp
  * Fixes:
    #23556: sysvinit tries to install isapnp
    #23270: sysvinit: /etc/default/rcS: comment should indicate time units
    #23191: /etc/default/rcS
    #23651: sysvinit: sysvinit fails to clean stale X locks in /tmp

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 22 Jun 1998 14:48:53 +0200

sysvinit (2.75-2) frozen unstable; urgency=medium

  * Fix last.c again.
  * Add check to see if /dev/initctl is really a FIFO
  * In ifdown.c first down all shaper devices then the real devices
  * Fixes bugs:
    #22840: sysvinit (2.75-1): patch request for sparc
    #22965: rcS is not sh independent
    #22945: Problems with last ( bug in sysvinit package)?
    #23005: sysvinit: [patch] install initreq.h for `genpowerd' patch.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  2 Jun 1998 22:43:01 +0200

sysvinit (2.75-1) frozen unstable; urgency=low

  * Rewrote last.c to be much more memory friendly and correct,
    thanks to Nick Andrew <nick@zeta.org.au> and
    David Parrish <dparrish@zeta.org.au>
  * Fixes bugs:
    #21616: sysvinit: sulogin thinks md5 root password is bad
    #21765: sysvinit: Typo in `killall5.c'
    #21775: sysvinit: sysvinit does not support MD5 hashed passwords
    #21990: /usr/bin/last: unnecessary memset and off-by-one bug
    #22023: sysvinit: nfs isn't mounted
    #22084: sysvinit 2.74-4: SIGPWR missing on sparc
    #21900: init, powerfail events, and shutdown.allow
    #21702: init 0 does not work as expected...
    #21728: sysvinit: Typo in `init.c'
    #22363: sysvinit: discrepance btw. manpage and /sbin/init
    #22579: power-off on halt

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 19 May 1998 11:02:29 +0200

sysvinit (2.74-4) frozen unstable; urgency=medium

  * Add -o option to last to process libc5 utmp files.
  * Buffer overflow fixed in init.c (not very serious; only exploitable
    by root). Thanks to Chris Evans <chris@ferret.lmh.ox.ac.uk>
  * Fixes:
    #20147: filesystems not unmounted on reboot
    #20702: sysvinit: example inittab is broken
    #20957: errors mounting remote filesystems
    #20063: fsck is _always_ called with -y option

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 15 Apr 1998 17:04:33 +0200

sysvinit (2.74-3) frozen unstable; urgency=high

  * Install hwclock.sh (was missing!)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 19 Mar 1998 20:15:06 +0100

sysvinit (2.74-2) frozen unstable; urgency=high

  * Fix problem with removing kbd startup file
  * Fixes bugs;
    #19711: sysvinit: postinst uses /tmp/*.$$
    #14785: sysvinit: non executable scripts from examples
    #17004: suggestion for raidtools

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 16 Mar 1998 12:56:10 +0100

sysvinit (2.74-1) unstable; urgency=low

  * Should compile with glibc 1.99 :)
  * Now confirms to policy manual 2.4.0.0
  * Change behaviour of reboot(1) and halt(1) so that the default when
    the runlevel can't be determined is to call shutdown.
  * Updated README and skeleton
  * Depends on new dpkg for the new update-rc.d
  * Added re-exec patch from Al Viro (21 Feb 1998):
        'U' flag added to telinit. It forces init to re-exec itself
        (passing its state through exec, certainly).
        May be useful for smoother (heh) upgrades.
        24 Feb 1998, AV:
        did_boot made global and added to state - thanks, Miquel.
        Yet another file descriptors leak - close state pipe if
        re_exec fails.
  * Now no longer contains mdutils.sh and conflicts with older mdutils
  * /etc/rc.S/*.sh scripts that use set -e or exit no longer stop
    the whole boot process.
  * Fixes:
    #16082: sysvinit: filesystems do not get unmounted properly on shutdown
    #16977: sysvinit: libc6 twice into Pre-Depends
    #17012: sysvinit: minor typo in install
    #17084: /etc/rcS does not use a start arg
    #17276: sysvinit: SIGUSR1 causes init to eat CPU
    #18541: sysvinit: ^C aborts entire rcS script

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 12 Mar 1998 17:42:46 +0100

sysvinit (2.73-2) unstable; urgency=low

  * Change _NSIG to NSIG for 2.1.x kernel includes.
  * Hopefully fixes bug 16082, but we'll see..
  * Fixes bugs:
     #16622 sysvinit: should not depend on kbd
     #16807: /etc/init.d/mdutils.sh is started at bootup _and_ halt/reboot.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  8 Jan 1998 16:01:02 +0100
