=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	install -d -g root -m 755 -o root $(tmp)
 	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
 	install -d -g root -m 755 -o root $(tmp)/usr/doc
+	install -d -g root -m 755 -o root $(tmp)/usr/include
 	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)
 	install -g root -m 644 debian/changelog $(tmp)/usr/doc/$(package)
 	gzip -9f $(tmp)/usr/doc/$(package)/changelog
