## sysvinit 2.76-3

=== debian/changelog ===
sysvinit (2.76-3) frozen unstable; urgency=high

  * Small bugfix to last.c courtesy of Danek Duvall <duvall@emufarm.ml.org>
  * Recompile with latest libs, so dependency on libc6 (>= 2.0.7u) is gone.
  * Fixes bugs:
    #31601: sysvinit: Doesn't wipe new files from /tmp
    #28132: checkroot.sh parsing of /etc/fstab is incorrect.
    #29729: sysvinit: references wrong policy homepage
    #27949: last: should use down instead of crash

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 12 Jan 1999 12:12:44 +0100

sysvinit (2.76-2) frozen unstable; urgency=high

  * Minor fix in debian/rules for dependency problem on the Alpha.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  5 Nov 1998 10:54:28 +0100

sysvinit (2.76-1) frozen unstable; urgency=high

  * Fix bug in check_pipe() which crashes init on the Alpha.
  * Re-upload since this should go into frozen too, ofcourse.
  * Changed the version number to 2.76, even though it's a minor
    upgrade. I want to release this version outside Debian too.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  3 Nov 1998 11:09:13 +0100

sysvinit (2.75-4) unstable; urgency=low

  * Change sulogin password buffer to 128 characters.
  * Don't print control characters in dowall.c
  * Try to open getenv ("CONSOLE"), /dev/console and /dev/tty0 in order.
    For backwards compatibility when you try to boot a 2.0.x kernel
    with a linux > 2.1.70 /dev/console device.
  * Change src/Makefile for non-debian systems (mainly, RedHat)
  * Try to create /dev/initctl if not present; check every time to see
    if the dev/ino of /dev/initctl has changed and re-open it. This should
    help devfs a bit.
  * Send SIGUSR1 to init at bootup to let it re-open /dev/initctl;
    again in support of devfs.
  * Rewrite of mountnfs.sh by Chris Ulrich <cdulrich@ucdavis.edu>
  * Moved pidof to /bin (it's only a link to killall5 anyway)
  * Fixes bugs:
    #11895: pidof exists, is unreliable, and is not deprecated
    #23943: `"$FSCKFIX" = yes' needed in "checkroot.sh", too
    #24190: sysvinit: postinst and telinit u
    #25531: sysvinit: README refers to the fatman website
    #26115: sysvinit: There is no support for a read only root
    #26179: sysvinit: pidof in /sbin ? why ?
    #26281: sysvinit: Obsolete location for Policy Manual in /etc/init.d/README
    #15739: libc6: strange interferention between sleep() and fork()

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  5 Oct 1998 14:03:14 +0200
