## sysvinit 2.76-4

=== src/Makefile ===
--- 
+++ 
@@ -2,9 +2,10 @@
 # Makefile	Makefile for the systemV init suite.
 #		Targets:   all      compiles everything
 #		           install  installs the binaries (not the scripts)
-#                          clean    cleans up
+#                          clean    cleans up object files
+#			   clobber  really cleans up
 #
-# Version:	@(#)Makefile  2.72  06-Jul-1997  MvS
+# Version:	@(#)Makefile  2.75  30-Jul-1998  miquels@cistron.nl
 #
 
 CC	= cc
@@ -14,10 +15,13 @@
 #LDFLAGS	= -pg
 STATIC	=
 
-# Use the first 2 lines to build all of the programs (some are non-debian).
-# PROGS	= init halt shutdown killall5 runlevel sulogin utmpdump \
-#		last mesg wall
+# For Debian we do not build all programs, otherwise we do.
+ifeq ($(DEBIAN),)
+PROGS	= init halt shutdown killall5 runlevel sulogin utmpdump \
+		last mesg wall
+else
 PROGS	= init halt shutdown killall5 runlevel sulogin last mesg
+endif
 
 BIN_OWNER	= root
 BIN_GROUP	= root
@@ -28,6 +32,7 @@
 ifneq ($(wildcard /usr/lib/libcrypt.a),)
 LCRYPT		= -lcrypt
 endif
+# -lutil only needed for glibc < 2.0.6 !
 #ifneq ($(wildcard /usr/lib/libutil.a),)
 #LUTIL		= -lutil
 #endif
@@ -83,19 +88,22 @@
 		$(INSTALL) -m 755 halt init killall5 sulogin \
 			runlevel shutdown $(ROOT)/sbin
 		# These are not installed by default
-		# $(INSTALL) -m 555 utmpdump wall $(ROOT)/usr/bin
+ifeq ($(DEBIAN),)
+		$(INSTALL) -m 555 utmpdump wall $(ROOT)/usr/bin
+endif
 		# $(INSTALL) -m 755 etc/initscript.sample $(ROOT)/etc
 		$(INSTALL) -m 755 mesg last $(ROOT)/usr/bin
-		cd $(ROOT)/usr/bin; ln -sf last lastb; chown $(BIN_COMBO) lastb
 		cd $(ROOT)/sbin; ln -sf halt reboot; chown $(BIN_COMBO) reboot
 		cd $(ROOT)/sbin; ln -sf halt poweroff; chown $(BIN_COMBO) poweroff
-		cd $(ROOT)/sbin; ln -sf killall5 pidof; chown $(BIN_COMBO) pidof
 		cd $(ROOT)/sbin; ln -sf init telinit; chown $(BIN_COMBO) telinit
+		cd $(ROOT)/bin; ln -sf ../sbin/killall5 pidof; chown $(BIN_COMBO) pidof
+		cd $(ROOT)/usr/bin; ln -sf last lastb; chown $(BIN_COMBO) lastb
 		$(INSTALL) -m 644 initreq.h $(ROOT)/usr/include
 		$(INSTALL) -m 644 ../man/*.8 $(ROOT)/usr/man/man8
 		$(INSTALL) -m 644 ../man/*.5 $(ROOT)/usr/man/man5
-		# Some manpages not installed by default.
-		# $(INSTALL) -m 644 ../man/wall.1 $(ROOT)/usr/man/man1
+ifeq ($(DEBIAN),)
+		$(INSTALL) -m 644 ../man/wall.1 $(ROOT)/usr/man/man1
+endif
 		$(INSTALL) -m 644 ../man/last.1 ../man/lastb.1 ../man/mesg.1 \
 			$(ROOT)/usr/man/man1
 		#
