=== debian/changelog ===
sysvinit (2.76-4) unstable; urgency=low

  * Change dowall.c to handle Unix98 ptys correctly
  * Add comment in rcS about usage of setup.sh and unconfigured.sh
  * Shutdown now removes nologin file just before calling telinit
  * SEGV handler now tries to continue after sleep of 30 seconds.
    On a 386-class processor it also prints out the value of EIP.
  * Fix for racecondition in check_init_fifo() by Richard Gooch
  * Fixes:
    #32698: sysvinit: checkroot.sh: should add devfs entry to mtab
    #35689: wall/shutdown cannot handle Unix98 PTYs
    #30392: sysvinit scripts are not executable
    #32699: bootmisc.sh: should check for existence of /dev/tty[p-za-e][0-9a-f]
    #34062: mountnfs.sh: ignore comments in fstab [patch]
    #34780: sysvinit: ignores most options for rootfs
    #35017: sysvinit: nologin after sungle user mode [sic]
    #36209: init: segmentation violation (possibly kernel)
    #36294: sysvinit: sulogin does not appear to recognize shadow passwords
    #36705: README in init.d has section number off by 0.1
    #36849: sysvinit: shutdown doesn't send shutdown message to unix98 ptys
    #36856: sysvinit: /etc/init.d/rc calls bash for no reason
    #37265: sysvinit: devpts incompatibility?
    #32698: sysvinit: checkroot.sh: should add devfs entry to mtab
    #33954: sysvinit: [wishlist] bootmisc.sh: touch /var/run/utmpx

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat,  8 May 1999 17:22:57 +0200
