=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: base
 Priority: required
 Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
-Standards-Version: 2.1.1.0
+Standards-Version: 2.4.0.0
 
 Package: sysvinit
 Essential: yes
 Architecture: any
 Pre-depends: ${shlibs:Depends}
-Conflicts: last, file-rc (<= 0.4.1)
-Depends: kbd(>= 0.95-2)
+Conflicts: last, file-rc (<= 0.4.2), kbd (<< 0.95-2), mdutils (<< 0.35-9)
+Depends: dpkg (>= 1.4.0.21), mount (>= 2.7l-1)
 Replaces: last, bsdutils (<=2.0-2)
 Description: System-V like init.
  Init is the first program to run after your system is booted, and
