=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 build:
 # Builds the binary package.
 	$(checkdir)
-	(cd src; make)
+	(cd src; make DEBIAN=cool)
 	touch build
 
 # Architecture independant files.
@@ -30,18 +30,20 @@
 	install -d -g root -m 755 -o root $(tmp)/usr/include
 	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)
 	install -g root -m 644 debian/changelog $(tmp)/usr/doc/$(package)
-	gzip -9f $(tmp)/usr/doc/$(package)/changelog
+	install -g root -m 644 debian/README.runlevels $(tmp)/usr/doc/$(package)
+	gzip -9f $(tmp)/usr/doc/$(package)/{changelog,README.runlevels}
 	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)/examples
 	cp -af debian/examples/* $(tmp)/usr/doc/$(package)/examples
 	cp -af debian/etc/* $(tmp)/etc
 	mv $(tmp)/etc/inittab $(tmp)/usr/doc/$(package)/examples
 	chmod -R g-w $(tmp)
 	chown -R root.root $(tmp)
+	install -d -g root -m 755 -o root $(tmp)/bin
 	install -d -g root -m 755 -o root $(tmp)/sbin
 	install -d -g root -m 755 -o root $(tmp)/usr/bin
 	install -d -g root -m 755 -o root $(tmp)/usr/man/man{1,5,8}
 	install -g root -m 755 debian/fsck.nfs $(tmp)/sbin/fsck.nfs
-	(cd src; make ROOT=$(tmp) install )
+	(cd src; make ROOT=$(tmp) DEBIAN=cool install )
 	install -g root -m 644 debian/rc.boot.5 $(tmp)/usr/man/man5
 	install -g root -m 644 debian/rcS.5 $(tmp)/usr/man/man5
 	gzip -9f $(tmp)/usr/man/man*/*
