## sysvinit 2.78-4

=== debian/changelog ===
sysvinit (2.78-4) frozen unstable; urgency=high

  * In /etc/init.d/checkroot.sh, change 10>&0 into 9>&0, since
    ash doesn't handle file descriptors > 9

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 25 Jun 2000 14:03:04 +0200

sysvinit (2.78-3) frozen unstable; urgency=medium

  * Fix critical bug #61227: Kernel panic/filesystem corruption if
    swapping started while software RAID resyncing. As this doesn't
    matter on 99% of the installs out there it's up to the release
    manager to decide whether to put this in potato or not (closes: #61227).
  * Fix up /etc/init.d/README paths (closes: #58935,#58595)
  * Don't check root filesystem if "pass" in /etc/fstab is 0 (closes: #65125)
  * Unmount remote filesystems before network is shut down
    (closes: #60898,#61907). This also was a release-critical bug.
  * Changed "file systems" to "filesystems".

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  6 Jun 2000 11:08:24 +0200

sysvinit (2.78-2) frozen unstable; urgency=high

  * Change "booting" to "reloading" message at reload
  * Don't create /etc/init.d/network if missing (closes: #56373)
  * Treat SMB filesystems like NFS ones in mountall.sh and
    mountnfs.sh (fixes: #55414)
  * bootmisc.sh: do not remove files in /var/run that are newer
    than /etc/mtab. This should preserve pid files created before
    this script ran (closes: #49816)
  * Add "-z xxx" dummy command line argument (closes: #54717)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 11 Feb 2000 12:17:54 +0100

sysvinit (2.78-1) unstable; urgency=low

  * 2.78 will be the new upstream version, I'm skipping 2.77
  * Update /etc/init.d/rc (closes: #48764)
  * Add -C argument to fck (closes: #47914, #53335)
  * don't remove files in /var/run and /var/lock that are newer
    than /etc/mtab (may fix the dhcpcd problems)
  * Save kernel messages in /var/log/dmesg like RedHat does (closes: #47574)
  * Shutdown now calls sync before switching the runlevel to 0 or 6,
    or before unmounting filesystems if -n was used (closes: #46461)
  * Call umount with -f option to force NFS umounts (closes: #45715)
  * Fix TMPTIME documentation in rcS(5) (closes: #42570, #53224)
  * Some cosmetic changes to init.c (closes: #32079)
  * Move to /usr/share to comply with latest policy

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 30 Dec 1999 20:40:23 +0100

sysvinit (2.77-3) unstable; urgency=low

  * Remove hwclock.sh initialization and script itself (closes: #45164)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  5 Oct 1999 21:52:02 +0200

sysvinit (2.77-2) unstable; urgency=low

  * Recompile against glibc 2.1 instead of 2.0
  * Fix compilation problems with glibc 2.1
  * Fix last -i option

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  5 Oct 1999 21:51:50 +0200

sysvinit (2.77-1) unstable; urgency=low

  * Write reboot record into utmp file as well to make rms happy
  * Change GMT to UTC in /etc/default/rcS
  * Change /var/run/utmp to mode 664 group utmp if utmp group exists
  * Fork and dump core in / if SIGSEGV is received for debugging purposes
  * Patch by Craig Sanders <cas@vicnet.net.au> for "last" -i option
  * Fixes:
    #35429: sysvinit: bad comments in /etc/defaults/rcS
    #37807: mountnfs.sh should start rpc.statd if available
    #38384: sysvinit: Slight gramitical error in /etc/init.d/README
    #41660: [Patch] bootmisc.sh: Change /var/run/utmp ownership to [...]
    #41458: mountnfs.sh: should ignore noauto
    #40923: sysvinit: /etc/ioctl.save a state file?
    #42183: util-linux: hwclock.sh depends on UTC which is not defined

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  4 Aug 1999 11:16:23 +0200
