## sysvinit 2.85-22.osso10

=== debian/changelog ===
sysvinit (2.85-22.osso10) unstable; urgency=low

  * Fixed readlink and rm issues in update-rc.d 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 12 May 2006 16:02:49 +0300

sysvinit (2.85-22.osso9) unstable; urgency=low

  * use non-perl update-rc.d
  * invoke-rc.d not started in scratchbox

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 14 Mar 2006 14:30:07 +0200

sysvinit (2.85-22.osso8) unstable; urgency=low

  * remove last from the package (busybox provides it)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 24 Jan 2006 18:35:10 +0200

sysvinit (2.85-22.osso7) unstable; urgency=low

  * ptmalloc hacks

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  5 Sep 2005 10:27:58 +0300

sysvinit (2.85-22.osso6) unstable; urgency=low

  * remove debug statements (I declare this bugfree)

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 23 May 2005 11:54:08 +0300

sysvinit (2.85-22.osso5) unstable; urgency=low

  * Attempt to not go insane following signals and selects

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed, 18 May 2005 19:07:18 +0300

sysvinit (2.85-22.osso4) unstable; urgency=low

  * checkroot.sh: copy /etc/mounts to /etc/mtab
  * libc6-dev added to Build-Depends: field 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 12 Jan 2005 17:17:09 +0200

sysvinit (2.85-22.osso3) unstable; urgency=low

  * halt -> poweroff

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu, 25 Nov 2004 13:50:59 +0200

sysvinit (2.85-22.osso2) unstable; urgency=low

  * Adapted version for busybox
  * No fsck, since jffs2 will not have it either
  * removed swap, nfs, etc startup stuff
  * readlink -f and hostname -f instances removed
  * moved virtfs some mounting to udev and avoid running stuff twice

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  8 Nov 2004 11:17:20 +0200

sysvinit (2.85-22.osso1) unstable; urgency=low

  * Purged bootclean

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 20 Sep 2004 15:01:11 +0300

sysvinit (2.85-22) unstable; urgency=medium

  * Fix typo in /etc/init.d/halt (closes: #255133)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 19 Jun 2004 12:40:12 +0200

sysvinit (2.85-21) unstable; urgency=medium

  * Create dependencies on glibc (>= 2.3.2.ds1-12) not through the
    shlibs.local hack anymore. That might clash with a future system
    shlibs file. Use the same method as we use to generate the
    mount dependency - with a script (closes: #253314).
  * In checkroot.sh always use the two-argument version of mount
    so that mount doesn't confuse device and directory (closes: #254724)
  * Change [ cond1 -a cond2 ] to [ cond1 ] && [ cond2 ] everywhere.
  * Fix mountvirtsfs, it broke for virtual filesystems mentioned in
    fstab without any options (closes: #254271)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 18 Jun 2004 13:43:55 +0200

sysvinit (2.85-20) unstable; urgency=low

  * Create /dev/pts in mountvirtfs for Linux + devfs (closes: #252625)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  7 Jun 2004 13:45:12 +0200

sysvinit (2.85-19) unstable; urgency=low

  * Create /dev/{pts,shm} and /sys in postinst (closes: #252820, #252925)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  7 Jun 2004 13:30:31 +0200

sysvinit (2.85-18) unstable; urgency=medium

  * Fix typo in /etc/init.d/single (closes: #252611)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  4 Jun 2004 14:38:55 +0200

sysvinit (2.85-17) unstable; urgency=low

  * On Debian/k*BSD, dmesg is in /sbin (closes: #252518)
  * On Debian/k*BSD, RB_HALT_SYSTEM is called RB_HALT
  * RB_POWEROFF can be RB_POWER_OFF (closes: #252547, #252598)
  * Add /sys, /dev/pts and /dev/shm to sysvinit. Remove the
    mkdir's for those directories from mountvirtfs.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  4 Jun 2004 11:51:46 +0200

sysvinit (2.85-16) unstable; urgency=high

  * Remove /etc/init.d/{mountkernfs,devpts.sh) that glibc installed
    since mountvirtfs now provides these. (closes: #230857)
  * Remove -e from mountvirtfs (closes: #232122)
  * Add some more comments/documentation to mountvirtfs
  * Initscripts depends on libc6 anyway right now, so we let it
    depend on libc6 (>= 2.3.2.ds1-12) via shlibs.local
  * Suggest sysv-rc-conf (closes: #244643)
  * Updated french manpage for update-rc.d (closes: #245007)
  * Use larger dmesg buffer (-s option) (closes: #242923)
  * Fix up comments in /etc/default/tmpfs (closes: #245681)
  * Added GNU/Hurd and kFreeBSD fixes (closes: #246743)
  * Run mountvirtfs again at S36 so that it mounts /proc/bus/usb in
    case usb was loaded as a module (closes: #249031)
  * Don't mkdir /dev/pts if it's not there - and don't mount devpts
    filesystem on it either in that case. Should help udev.
  * mountvirtfs now uses the options from /etc/fstab (closes: #251016)
  * add filesystem type "cifs" as network fs (closes: #248919)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  3 Jun 2004 20:03:33 +0200

sysvinit (2.85-15) unstable; urgency=high

  * Drop bogus dependency on fileutils (closes: #241570)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  5 Apr 2004 17:07:24 +0200

sysvinit (2.85-14) unstable; urgency=high

  * When remounting "/", just use "mount -n -o remount,rw /" and don't
    bother with the device or other arguments - "mount" will look up the
    root device in /etc/fstab, but the device argument to the mount
    system call is ignored by the kernel for remount anyway. So this
    doesn't hurt even if the device is incorrect, and it fixes a
    platform dependant case where "mount -n -o remount,rw <whatever> /"
    fails with "mount: you must specify the filesystem type". That
    is a bug in mount(8): if you don't specify the type, it passes
    garbage to the kernel, and some archs choke on that.
    (closes: #239735)
  * change checkroot.sh so that it never checks the root filesystem
    if root is on NFS even if fs_passno is set (closes: #240470)

